# https://www.elastic.co/guide/en/kibana/current/settings.html
# https://github.com/deviantony/docker-elk/blob/main/kibana/config/kibana.yml
# Kibana is served by a back end server. This controls which port to use.
server:
  name: kibana
  host: 0.0.0.0
  publicBaseUrl: "{{ urls.kibana }}"


elasticsearch:
  hosts:
    - "{{  urls.elasticsearch }}"
  #serviceAccountToken: elastic/kibana
  # Time in milliseconds to wait for responses from the back end or elasticsearch.
  # This must be > 0
  requestTimeout: 300000
  # Time in milliseconds for Elasticsearch to wait for responses from shards.
  # Set to 0 to disable.
  #shardTimeout: 0
{##}
{#  ## X-Pack security credentials#}
{#  username: {{ elk.system_users.kibana.username }}#}
{#  password: {{ elk.system_users.kibana.password }}#}